MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007305ardourbugspublic2017-04-01 09:222017-04-03 12:08
Reportervzzz 
Assigned Tox42 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSKXStudioOS Version
Product Version5.8 
Target VersionFixed in Version 
Summary0007305: Ardour crash radomly with strechted tools
DescriptionWhen I use streching tools in my session on created region after using rythm ferret

I get:
The program being debugged has been started already.
Start it from the beginning? (y or n) n
Program not restarted.
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program: /opt/Ardour-5.8.239-dbg/bin/ardour-5.8.239
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
bind txt domain [gtk2_ardour5] to /opt/Ardour-5.8.239-dbg/share/locale
Ardour5.8.239 (construit avec 5.8-239-gd616838 et GCC version 4.4.7)
ardour: [INFO]: Votre configuration-système limite Ardour à 65 536 fichiers ouverts
ardour: [INFO]: Chargement du fichier de configuration-système /opt/Ardour-5.8.239-dbg/etc/system_config
ardour: [INFO]: Chargement du fichier de configuration-utilisateur /home/studio/.config/ardour5/config
[New Thread 0x7fffe795e700 (LWP 25708)]
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x7fffe715d700 (LWP 25709)]
[New Thread 0x7fffe695c700 (LWP 25710)]
[New Thread 0x7fffe615b700 (LWP 25711)]
[New Thread 0x7fffd774a700 (LWP 25712)]
[New Thread 0x7fffcef49700 (LWP 25713)]
*** WEAK-JACK: initializing
*** WEAK-JACK: OK. (0)
ardour: [INFO]: Chargement du fichier de style par défaut (/opt/Ardour-5.8.239-dbg/etc/default_ui_config) pour l'interface graphique
ardour: [INFO]: Chargement du fichier utilisateur de la configuration de l'interface graphique /home/studio/.config/ardour5/ui_config
Impossible d'installer le gestionnaire d'erreurs SIGPIPE
Couleur shuttle bg introuvable
ardour: [INFO]: Chargement du fichier de couleur /opt/Ardour-5.8.239-dbg/share/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.8.239-dbg/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.8.239-dbg/etc/clearlooks.rc
[New Thread 0x7fffd5a46800 (LWP 25714)]
[New Thread 0x7fffd5389700 (LWP 25715)]
curl failed: No Error
[Thread 0x7fffd5a46800 (LWP 25714) exited]
[New Thread 0x7fffd5308700 (LWP 25716)]
[Thread 0x7fffd5308700 (LWP 25716) exited]
[Thread 0x7fffd5389700 (LWP 25715) exited]
[New Thread 0x7fffd5389700 (LWP 25717)]
[New Thread 0x7fffd5308700 (LWP 25718)]
[Thread 0x7fffd5308700 (LWP 25718) exited]
[Thread 0x7fffd5389700 (LWP 25717) exited]
[New Thread 0x7fffcffff700 (LWP 25719)]
[New Thread 0x7fffce748700 (LWP 25720)]
[New Thread 0x7fffcdf47700 (LWP 25721)]
[New Thread 0x7fffcd746700 (LWP 25722)]
[New Thread 0x7fffccf45700 (LWP 25723)]
[New Thread 0x7fffaa77a700 (LWP 25724)]
[New Thread 0x7fffa9f79700 (LWP 25725)]
Found 6 along /home/studio/.config/ardour5/templates:/opt/Ardour-5.8.239-dbg/share/templates
run dialog
[Thread 0x7fffce748700 (LWP 25720) exited]
[Thread 0x7fffa9f79700 (LWP 25725) exited]
[Thread 0x7fffaa77a700 (LWP 25724) exited]
[Thread 0x7fffcd746700 (LWP 25722) exited]
[Thread 0x7fffcdf47700 (LWP 25721) exited]
[New Thread 0x7fffd5389700 (LWP 25726)]
[New Thread 0x7fffd5308700 (LWP 25727)]
[New Thread 0x7fffcf1e2700 (LWP 25728)]
protocol Mackie active ? 0
protocol Open Sound Control (OSC) active ? 1
protocol Ableton Push 2 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Steinberg CC121 active ? 0
no more csLADSPA plugins
no more csLADSPA plugins
Scanning folders for bundled LV2s: /opt/Ardour-5.8.239-dbg/lib/LV2
error: /usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl:160:1: missing ';' or '.'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl' [^]
error: /usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl:160:1: missing ';' or '.'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl' [^]
lilv_plugin_get_name(): warning: Plugin <http://gareus.org/oss/lv2/onsettrigger#bassdrum_stereo> [^] has no (mandatory) doap:name
error: /usr/lib/lv2/gx_mbcompressor.lv2/modgui.ttl:139:12: missing ';' or '.'
error: /usr/lib/lv2/gx_mbcompressor.lv2/modgui.ttl:139:12: expected `]', not `l'
error: /usr/lib/lv2/gx_mbcompressor.lv2/modgui.ttl:139:12: expected `]', not `l'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/gx_mbcompressor.lv2/modgui.ttl' [^]
KP is ardour.keys
[New Thread 0x7fffcdf47700 (LWP 25729)]
[New Thread 0x7fffcd746700 (LWP 25730)]
[New Thread 0x7fffaa77a700 (LWP 25731)]
[New Thread 0x7fffa9f79700 (LWP 25732)]
[New Thread 0x7fffa9778700 (LWP 25733)]
[New Thread 0x7fffa8f77700 (LWP 25735)]
[Thread 0x7fffa8f77700 (LWP 25735) exited]
[Thread 0x7fffaa77a700 (LWP 25731) exited]
[Thread 0x7fffcd746700 (LWP 25730) exited]
[Thread 0x7fffa9778700 (LWP 25733) exited]
[Thread 0x7fffa9f79700 (LWP 25732) exited]
[Thread 0x7fffccf45700 (LWP 25723) exited]
[New Thread 0x7fffa8f77700 (LWP 25737)]
[Thread 0x7fffa8f77700 (LWP 25737) exited]
Set cursor set to default
Global didn't find Common/toggle-editor-and-mixer in global
Global didn't find Common/toggle-editor-and-mixer in global
[New Thread 0x7fffa8f77700 (LWP 25738)]
[New Thread 0x7fffccf45700 (LWP 25739)]
[New Thread 0x7fffa9f79700 (LWP 25740)]
[New Thread 0x7fffa9778700 (LWP 25741)]
[New Thread 0x7fffce412700 (LWP 25742)]
[New Thread 0x7fffce391700 (LWP 25743)]
[New Thread 0x7fffce310700 (LWP 25744)]
Set buffering params to 262144|131072|10|10
[New Thread 0x7fffce28e800 (LWP 25745)]
[New Thread 0x7fffcd746700 (LWP 25746)]
[Thread 0x7fffa9f79700 (LWP 25740) exited]
[Thread 0x7fffa9778700 (LWP 25741) exited]
[Thread 0x7fffa8f77700 (LWP 25738) exited]
[Thread 0x7fffcdf47700 (LWP 25729) exited]
[New Thread 0x7fffcdf47700 (LWP 25747)]
[New Thread 0x7fffa8f77700 (LWP 25748)]
Emulate VST Bypass Port for KlangFalter
[New Thread 0x7fffa9778700 (LWP 25749)]
[New Thread 0x7fffa9f79700 (LWP 25750)]
[New Thread 0x7fff8519f700 (LWP 25751)]
[New Thread 0x7fff8499e700 (LWP 25752)]
[New Thread 0x7fff67fff700 (LWP 25753)]
[Thread 0x7fffa9778700 (LWP 25749) exited]
[New Thread 0x7fffa9778700 (LWP 25754)]
[Thread 0x7fffa9778700 (LWP 25754) exited]
[New Thread 0x7fffa9778700 (LWP 25755)]
JUCE Assertion failure in IRCalculation.cpp:373
JUCE Assertion failure in IRCalculation.cpp:373
[New Thread 0x7fff677fe700 (LWP 25756)]
[New Thread 0x7fff66ffd700 (LWP 25757)]
[Thread 0x7fffa9f79700 (LWP 25750) exited]
[New Thread 0x7fffa9f79700 (LWP 25758)]
[New Thread 0x7fff667fc700 (LWP 25759)]
[Thread 0x7fff8519f700 (LWP 25751) exited]
[Thread 0x7fffa9778700 (LWP 25755) exited]
[New Thread 0x7fffa9778700 (LWP 25760)]
[Thread 0x7fff67fff700 (LWP 25753) exited]
[Thread 0x7fff8499e700 (LWP 25752) exited]
protocol Mackie active ? 0
protocol Open Sound Control (OSC) active ? 1
protocol Ableton Push 2 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Steinberg CC121 active ? 0
Set buffering params to 262144|131072|10|10
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
[New Thread 0x7fff8499e700 (LWP 25761)]
[New Thread 0x7fff67fff700 (LWP 25762)]
[New Thread 0x7fff8519f700 (LWP 25763)]
[New Thread 0x7fff651ad700 (LWP 25764)]
[New Thread 0x7fff5bfff700 (LWP 25766)]


When I use the streched tools:

[New Thread 0x7fffcc0c9800 (LWP 25768)]
RBEffect: source region: position = 6428268, start = 6421374, length = 3712, ancestral_start = 0, ancestral_length = 0, stretch 1, shift 1
StretchCalculator::calculate(): inputDuration 3712, ratio 0.479526, outputDuration 1780 (rounded up to 1841), df size 15, increment 256
NOTE: extreme increment -47 < 0, adjusting
NOTE: extreme increment 39 < 61.3793, adjusting
NOTE: extreme increment -16 < 0, adjusting
NOTE: extreme increment 41 < 61.3793, adjusting
*** WARNING: increment -11 <= 0, rounding to zero
*** WARNING: calculated output duration 256 != expected 245
*** ERROR: distributeRegion returned wrong duration 256, expected 245
total input increment = 3840 (= 15 chunks), output = 1852, ratio = 0.482292, ideal output 1842
(region total = 1841)
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256
WARNING: draining: shiftIncrement == 0, can't handle that in this context: setting to 256

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe615b700 (LWP 25711)]
0x00007fff647729fe in FiltFilt::process (this=0x7fffdc005fb0,
    src=0x7fffdc015280, dst=0x7fffdc0152b0, length=4)
    at ../libs/qm-dsp/dsp/signalconditioning/FiltFilt.cpp:84
84 ../libs/qm-dsp/dsp/signalconditioning/FiltFilt.cpp: Aucun fichier ou dossier de ce type.

It is reproductible on my session but I'm not able to reproduce it on other place.

Vincent
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019576)
vzzz (reporter)
2017-04-01 09:36

(gdb) thread apply all bt

Thread 77 (Thread 0x7fffc5eca800 (LWP 25951)):
#0 0x00007fffef74cb9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1 0x0000000000a05238 in Editor::timefx_thread (arg=0x11ec0c60)
    at ../gtk2_ardour/editor_timefx.cc:390
#2 0x00007ffff4d51388 in fake_thread_start (arg=0x2bef4f0)
    at ../libs/pbd/pthread_utils.cc:101
#3 0x00007fffef745184 in start_thread (arg=0x7fffc5eca800)
    at pthread_create.c:312
#4 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 76 (Thread 0x7fff63fff700 (LWP 25950)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:143
#1 0x00007fffc61e059b in ?? () from /usr/lib/vst/KlangFalter.so
#2 0x00007fffc6193c01 in ?? () from /usr/lib/vst/KlangFalter.so
#3 0x00007fffc61ffea4 in ?? () from /usr/lib/vst/KlangFalter.so
#4 0x00007fffc62000f9 in ?? () from /usr/lib/vst/KlangFalter.so
#5 0x00007fffef745184 in start_thread (arg=0x7fff63fff700)
    at pthread_create.c:312
#6 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
---Type <return> to continue, or q <return> to quit---

Thread 74 (Thread 0x7fff5affd700 (LWP 25948)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:143
#1 0x00007fffc61e059b in ?? () from /usr/lib/vst/KlangFalter.so
#2 0x00007fffc6193c01 in ?? () from /usr/lib/vst/KlangFalter.so
#3 0x00007fffc61ffea4 in ?? () from /usr/lib/vst/KlangFalter.so
#4 0x00007fffc62000f9 in ?? () from /usr/lib/vst/KlangFalter.so
#5 0x00007fffef745184 in start_thread (arg=0x7fff5affd700)
    at pthread_create.c:312
#6 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 73 (Thread 0x7fff819a0700 (LWP 25947)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:143
#1 0x00007fffc61e059b in ?? () from /usr/lib/vst/KlangFalter.so
#2 0x00007fffc6193c01 in ?? () from /usr/lib/vst/KlangFalter.so
#3 0x00007fffc61ffea4 in ?? () from /usr/lib/vst/KlangFalter.so
#4 0x00007fffc62000f9 in ?? () from /usr/lib/vst/KlangFalter.so
#5 0x00007fffef745184 in start_thread (arg=0x7fff819a0700)
    at pthread_create.c:312
#6 0x00007fffec50437d in clone ()
---Type <return> to continue, or q <return> to quit---
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 72 (Thread 0x7fff637fe700 (LWP 25946)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:143
#1 0x00007fffc61e059b in ?? () from /usr/lib/vst/KlangFalter.so
#2 0x00007fffc6193c01 in ?? () from /usr/lib/vst/KlangFalter.so
#3 0x00007fffc61ffea4 in ?? () from /usr/lib/vst/KlangFalter.so
#4 0x00007fffc62000f9 in ?? () from /usr/lib/vst/KlangFalter.so
#5 0x00007fffef745184 in start_thread (arg=0x7fff637fe700)
    at pthread_create.c:312
#6 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 62 (Thread 0x7fff5a7fc700 (LWP 25936)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007ffff3bac554 in g_cond_wait ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff792296b in ArdourCanvas::WaveView::drawing_thread ()
    at ../libs/canvas/wave_view.cc:1565
#3 0x0000000000ebd90f in sigc::pointer_functor0<void>::operator() (
    this=0x222c9a8)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4 0x0000000000ebaa74 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x222c9a0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5 0x0000000000eb6b29 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x222c970)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#7 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#8 0x00007fffef745184 in start_thread (arg=0x7fff5a7fc700)
    at pthread_create.c:312
#9 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 55 (Thread 0x7fff611a8700 (LWP 25917)):
#0 0x00007fffef74cb9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007ffff3b8d2c8 in g_usleep ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#2 0x00007ffff631e6aa in ARDOUR::AutomationWatch::thread (this=0x566e530)
    at ../libs/ardour/automation_watch.cc:177
#3 0x00007ffff6321e87 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x4a417c0, p=0x566e530)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4 0x00007ffff6321aca in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x4a417d0, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5 0x00007ffff63216c5 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x4a417c0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6 0x00007ffff6321650 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x4a417c0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff6321250 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x4a41790)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#9 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef745184 in start_thread (arg=0x7fff611a8700)
    at pthread_create.c:312
#11 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 54 (Thread 0x7fff619a9700 (LWP 25916)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007ffff6889a36 in ARDOUR::Session::auto_connect_thread_run (
    this=0x21e23d0) at ../libs/ardour/session.cc:7207
#2 0x00007ffff6889694 in ARDOUR::Session::auto_connect_thread (arg=0x21e23d0)
    at ../libs/ardour/session.cc:7154
#3 0x00007fffef745184 in start_thread (arg=0x7fff619a9700)
    at pthread_create.c:312
#4 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

---Type <return> to continue, or q <return> to quit---
Thread 53 (Thread 0x7fff8099e700 (LWP 25915)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007ffff690b75e in ARDOUR::Session::emit_thread_run (this=0x21e23d0)
    at ../libs/ardour/session_process.cc:1374
#2 0x00007ffff690b708 in ARDOUR::Session::emit_thread (arg=0x21e23d0)
    at ../libs/ardour/session_process.cc:1363
#3 0x00007fffef745184 in start_thread (arg=0x7fff8099e700)
    at pthread_create.c:312
#4 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 52 (Thread 0x7fffc6dbe700 (LWP 25914)):
#0 0x00007fffec4f6fdd in poll () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007ffff3b60ad5 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff3b60be5 in g_main_loop_run ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff4d14ff7 in BaseUI::main_thread (this=0x4693b08)
    at ../libs/pbd/base_ui.cc:86
#4 0x00007ffff4d18d89 in sigc::bound_mem_functor0<void, BaseUI>::operator() (
    this=0xe1ca3a8)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem---Type <return> to continue, or q <return> to quit---
_fun.h:1787
#5 0x00007ffff4d18ad6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0xe1ca3a0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6 0x00007ffff4d185fb in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0xe1ca370)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#8 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#9 0x00007fffef745184 in start_thread (arg=0x7fffc6dbe700)
    at pthread_create.c:312
#10 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 51 (Thread 0x7fff8119f700 (LWP 25913)):
#0 0x00007fffec4cadfd in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007fffec4fc354 in usleep (useconds=<optimized out>)
    at ../sysdeps/unix/sysv/linux/usleep.c:32
#2 0x00007fffc5ee2681 in AFX_engine::run_engine() ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/lv2/fc70.lv2/fc70-dsp.so
#3 0x00007fffc5ed4213 in start_ui_thread(void*) ()
   from /usr/lib/lv2/fc70.lv2/fc70-dsp.so
#4 0x00007fffef745184 in start_thread (arg=0x7fff8119f700)
    at pthread_create.c:312
#5 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 39 (Thread 0x7fffc5dbc700 (LWP 25901)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:193
#1 0x00007fffc61e0574 in ?? () from /usr/lib/vst/KlangFalter.so
#2 0x00007fffc620b0a2 in ?? () from /usr/lib/vst/KlangFalter.so
#3 0x00007fffc61ffea4 in ?? () from /usr/lib/vst/KlangFalter.so
#4 0x00007fffc62000f9 in ?? () from /usr/lib/vst/KlangFalter.so
#5 0x00007fffef745184 in start_thread (arg=0x7fffc5dbc700)
    at pthread_create.c:312
#6 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 38 (Thread 0x7fffc4dba700 (LWP 25900)):
#0 0x00007fffef74cb9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007fffc61e06be in ?? () from /usr/lib/vst/KlangFalter.so
---Type <return> to continue, or q <return> to quit---
#2 0x00007fffc620b7d2 in ?? () from /usr/lib/vst/KlangFalter.so
#3 0x00007fffc61b1232 in ?? () from /usr/lib/vst/KlangFalter.so
#4 0x00007fffc61ffea4 in ?? () from /usr/lib/vst/KlangFalter.so
#5 0x00007fffc62000f9 in ?? () from /usr/lib/vst/KlangFalter.so
#6 0x00007fffef745184 in start_thread (arg=0x7fffc4dba700)
    at pthread_create.c:312
#7 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 37 (Thread 0x7fffa5df9700 (LWP 25899)):
#0 0x00007fffec4f6fdd in poll () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007ffff3b60ad5 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff3b60be5 in g_main_loop_run ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff4d14ff7 in BaseUI::main_thread (this=0xa5a4f70)
    at ../libs/pbd/base_ui.cc:86
#4 0x00007ffff4d18d89 in sigc::bound_mem_functor0<void, BaseUI>::operator() (
    this=0xa5a5878)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5 0x00007ffff4d18ad6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0xa5a5870)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6 0x00007ffff4d185fb in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0xa5a5840)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#8 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#9 0x00007fffef745184 in start_thread (arg=0x7fffa5df9700)
    at pthread_create.c:312
#10 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 36 (Thread 0x7fffa5e73800 (LWP 25898)):
#0 memset () at ../sysdeps/x86_64/memset.S:94
#1 0x00007ffff629170a in ARDOUR::AudioPlaylist::read (this=0xe7eaa70,
    buf=0x7fff707d7510, mixdown_buffer=0x7fff73137200,
    gain_buffer=0x7fff732e5cb0, start=6418560, cnt=440999, chan_n=0)
    at ../libs/ardour/audio_playlist.cc:183
#2 0x00007ffff62761de in ARDOUR::AudioDiskstream::read (this=0x10757640,
    buf=0x7fff707d7510, mixdown_buffer=0x7fff73137200,
---Type <return> to continue, or q <return> to quit---
    gain_buffer=0x7fff732e5cb0, start=@0x7fffa5e723f0: 6418560, cnt=440999,
    channel=0, reversed=false) at ../libs/ardour/audio_diskstream.cc:1059
#3 0x00007ffff6275776 in ARDOUR::AudioDiskstream::overwrite_existing_buffers (
    this=0x10757640) at ../libs/ardour/audio_diskstream.cc:886
#4 0x00007ffff69cfb44 in ARDOUR::Track::overwrite_existing_buffers (
    this=0x100f73f0) at ../libs/ardour/track.cc:690
#5 0x00007ffff696b32f in ARDOUR::Session::non_realtime_overwrite (
    this=0x21e23d0, on_entry=1, finished=@0x7fffa5e7266f: true)
    at ../libs/ardour/session_transport.cc:564
#6 0x00007ffff696ae0e in ARDOUR::Session::butler_transport_work (
    this=0x21e23d0) at ../libs/ardour/session_transport.cc:528
#7 0x00007ffff6333d74 in ARDOUR::Butler::thread_work (this=0x21e4a10)
    at ../libs/ardour/butler.cc:208
#8 0x00007ffff63332d5 in ARDOUR::Butler::_thread_work (arg=0x21e4a10)
    at ../libs/ardour/butler.cc:156
#9 0x00007ffff4d51388 in fake_thread_start (arg=0xa5a4da0)
    at ../libs/pbd/pthread_utils.cc:101
#10 0x00007fffef745184 in start_thread (arg=0x7fffa5e73800)
    at pthread_create.c:312
#11 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 35 (Thread 0x7fffa5ef5700 (LWP 25897)):
---Type <return> to continue, or q <return> to quit---
#0 0x0000000000620c61 in Glib::Threads::Mutex::Lock::Lock (
    this=0x7fffa5ef35b0, mutex=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/glibmm-2.4/glibmm/threads.h:638
#1 0x0000000000689127 in PBD::Signal0<void, PBD::OptionalLastValue<void> >::operator() (this=0xa3cc0e0)
    at /home/ardour/linux-x86_64/ardour/build/libs/pbd/pbd/signals_generated.h:323
#2 0x00007ffff69e95f9 in queue_draw (handle=0xa3cbf80)
    at ../libs/ardour/lv2_plugin.cc:230
#3 0x00007fffa41f1142 in run_mono (instance=0xa3d00a0, n_samples=1024)
    at ../libs/plugins/a-comp.lv2/a-comp.c:381
#4 0x00007ffff69e86e4 in lilv_instance_run (instance=0xa3d0580,
    sample_count=1024)
    at /home/ardour/linux-x86_64/gtk/inst/include/lilv-0/lilv/lilv.h:1694
#5 0x00007ffff69fb020 in ARDOUR::LV2Plugin::run (this=0xa3cbf80,
    nframes=1024, sync_work=false) at ../libs/ardour/lv2_plugin.cc:3031
#6 0x00007ffff69f8aa8 in ARDOUR::LV2Plugin::connect_and_run (this=0xa3cbf80,
    bufs=..., start=6418560, end=6419584, speed=0, in_map=..., out_map=...,
    nframes=1024, offset=0) at ../libs/ardour/lv2_plugin.cc:2681
#7 0x00007ffff6760609 in ARDOUR::PluginInsert::connect_and_run (
    this=0xa413c20, bufs=..., start=6418560, end=6419584, speed=0,
    nframes=1024, offset=0, with_auto=true)
---Type <return> to continue, or q <return> to quit---
    at ../libs/ardour/plugin_insert.cc:969
#8 0x00007ffff6761a9d in ARDOUR::PluginInsert::run (this=0xa413c20, bufs=...,
    start_frame=6418560, end_frame=6419584, speed=0, nframes=1024)
    at ../libs/ardour/plugin_insert.cc:1160
#9 0x00007ffff6808562 in ARDOUR::Route::process_output_buffers (
    this=0x9d0da70, bufs=..., start_frame=6418560, end_frame=6419584,
    nframes=1024, declick=0, gain_automation_ok=false)
    at ../libs/ardour/route.cc:456
#10 0x00007ffff6809714 in ARDOUR::Route::passthru_silence (this=0x9d0da70,
    start_frame=6418560, end_frame=6419584, nframes=1024, declick=0)
    at ../libs/ardour/route.cc:624
#11 0x00007ffff69cee25 in ARDOUR::Track::no_roll (this=0x9d0da70,
    nframes=1024, start_frame=6418560, end_frame=6419584,
    session_state_changing=true) at ../libs/ardour/track.cc:475
#12 0x00007ffff643dc04 in ARDOUR::Graph::process_one_route (this=0x5f20340,
    route=0x9d0da70) at ../libs/ardour/graph.cc:585
#13 0x00007ffff6443019 in ARDOUR::GraphNode::process (this=0x9d0dd20)
    at ../libs/ardour/graphnode.cc:79
#14 0x00007ffff643bf23 in ARDOUR::Graph::run_one (this=0x5f20340)
    at ../libs/ardour/graph.cc:400
#15 0x00007ffff643c0e6 in ARDOUR::Graph::helper_thread (this=0x5f20340)
    at ../libs/ardour/graph.cc:418
#16 0x00007ffff6442347 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (
---Type <return> to continue, or q <return> to quit---
    this=0x7fffa5ef4d18, p=0x5f20340)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#17 0x00007ffff6441b5c in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7fffa5ef4d28, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#18 0x00007ffff644117b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7fffa5ef4d18)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#19 0x00007ffff6440b71 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#20 0x0000000000690135 in boost::function0<void>::operator() (
    this=0x7fffa5ef4d10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#21 0x00007fffde50f81d in ARDOUR::JACKAudioBackend::_start_process_thread (
    arg=0x5f20650) at ../libs/backends/jack/jack_audiobackend.cc:936
---Type <return> to continue, or q <return> to quit---
#22 0x00007fffef745184 in start_thread (arg=0x7fffa5ef5700)
    at pthread_create.c:312
#23 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 34 (Thread 0x7fffa5f76700 (LWP 25896)):
#0 sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:85
#1 0x00007ffff643ddec in PBD::Semaphore::wait (this=0x5f203f0)
    at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:61
#2 0x00007ffff643bd44 in ARDOUR::Graph::run_one (this=0x5f20340)
    at ../libs/ardour/graph.cc:387
#3 0x00007ffff643c0e6 in ARDOUR::Graph::helper_thread (this=0x5f20340)
    at ../libs/ardour/graph.cc:418
#4 0x00007ffff6442347 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (
    this=0x7fffa5f75d18, p=0x5f20340)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#5 0x00007ffff6441b5c in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7fffa5f75d28, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#6 0x00007ffff644117b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
---Type <return> to continue, or q <return> to quit---
    this=0x7fffa5f75d18)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#7 0x00007ffff6440b71 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#8 0x0000000000690135 in boost::function0<void>::operator() (
    this=0x7fffa5f75d10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#9 0x00007fffde50f81d in ARDOUR::JACKAudioBackend::_start_process_thread (
    arg=0x5f20650) at ../libs/backends/jack/jack_audiobackend.cc:936
#10 0x00007fffef745184 in start_thread (arg=0x7fffa5f76700)
    at pthread_create.c:312
#11 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 33 (Thread 0x7fffa5ff7700 (LWP 25895)):
#0 0x00007fff61d8eb8c in calf_plugins::equalizerNband_audio_module<calf_plugins::equalizer12band__metadata, true>::process(unsigned int, unsigned int, unsigned int, unsigned int) () from /usr/lib/lv2/calf.lv2/calf.so
---Type <return> to continue, or q <return> to quit---
#1 0x00007fff61d743bd in calf_plugins::audio_module<calf_plugins::equalizer12band__metadata>::process_slice(unsigned int, unsigned int) ()
   from /usr/lib/lv2/calf.lv2/calf.so
#2 0x00007fff61dd2cf0 in calf_plugins::lv2_wrapper<calf_plugins::equalizerNband_audio_module<calf_plugins::equalizer12band__metadata, true> >::cb_run(void*, unsigned int) () from /usr/lib/lv2/calf.lv2/calf.so
#3 0x00007ffff69e86e4 in lilv_instance_run (instance=0xf6d5880,
    sample_count=1024)
    at /home/ardour/linux-x86_64/gtk/inst/include/lilv-0/lilv/lilv.h:1694
#4 0x00007ffff69fb020 in ARDOUR::LV2Plugin::run (this=0xf6a7420,
    nframes=1024, sync_work=false) at ../libs/ardour/lv2_plugin.cc:3031
#5 0x00007ffff69f8aa8 in ARDOUR::LV2Plugin::connect_and_run (this=0xf6a7420,
    bufs=..., start=6418560, end=6419584, speed=0, in_map=..., out_map=...,
    nframes=1024, offset=0) at ../libs/ardour/lv2_plugin.cc:2681
#6 0x00007ffff6760609 in ARDOUR::PluginInsert::connect_and_run (
    this=0xf6a0b90, bufs=..., start=6418560, end=6419584, speed=0,
    nframes=1024, offset=0, with_auto=true)
    at ../libs/ardour/plugin_insert.cc:969
#7 0x00007ffff6761a9d in ARDOUR::PluginInsert::run (this=0xf6a0b90, bufs=...,
    start_frame=6418560, end_frame=6419584, speed=0, nframes=1024)
    at ../libs/ardour/plugin_insert.cc:1160
#8 0x00007ffff6808562 in ARDOUR::Route::process_output_buffers (
    this=0xa410b00, bufs=..., start_frame=6418560, end_frame=6419584,
---Type <return> to continue, or q <return> to quit---
    nframes=1024, declick=0, gain_automation_ok=false)
    at ../libs/ardour/route.cc:456
#9 0x00007ffff6809714 in ARDOUR::Route::passthru_silence (this=0xa410b00,
    start_frame=6418560, end_frame=6419584, nframes=1024, declick=0)
    at ../libs/ardour/route.cc:624
#10 0x00007ffff69cee25 in ARDOUR::Track::no_roll (this=0xa410b00,
    nframes=1024, start_frame=6418560, end_frame=6419584,
    session_state_changing=true) at ../libs/ardour/track.cc:475
#11 0x00007ffff643dc04 in ARDOUR::Graph::process_one_route (this=0x5f20340,
    route=0xa410b00) at ../libs/ardour/graph.cc:585
#12 0x00007ffff6443019 in ARDOUR::GraphNode::process (this=0xa410db0)
    at ../libs/ardour/graphnode.cc:79
#13 0x00007ffff643bf23 in ARDOUR::Graph::run_one (this=0x5f20340)
    at ../libs/ardour/graph.cc:400
#14 0x00007ffff643c4bf in ARDOUR::Graph::main_thread (this=0x5f20340)
    at ../libs/ardour/graph.cc:457
#15 0x00007ffff6442347 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (
    this=0x7fffa5ff6d18, p=0x5f20340)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#16 0x00007ffff6441b5c in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7fffa5ff6d28, f=..., a=...)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#17 0x00007ffff644117b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7fffa5ff6d18)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#18 0x00007ffff6440b71 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#19 0x0000000000690135 in boost::function0<void>::operator() (
    this=0x7fffa5ff6d10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#20 0x00007fffde50f81d in ARDOUR::JACKAudioBackend::_start_process_thread (
    arg=0x5f0ebb0) at ../libs/backends/jack/jack_audiobackend.cc:936
#21 0x00007fffef745184 in start_thread (arg=0x7fffa5ff7700)
    at pthread_create.c:312
#22 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 22 (Thread 0x7fffc41a9700 (LWP 25882)):
---Type <return> to continue, or q <return> to quit---
#0 sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:85
#1 0x00007ffff643ddec in PBD::Semaphore::wait (this=0x5f20430)
    at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:61
#2 0x00007ffff643d97c in ARDOUR::Graph::routes_no_roll (this=0x5f20340,
    nframes=1024, start_frame=6418560, end_frame=6419584, non_rt_pending=true,
    declick=0) at ../libs/ardour/graph.cc:567
#3 0x00007ffff6906211 in ARDOUR::Session::no_roll (this=0x21e23d0,
    nframes=1024) at ../libs/ardour/session_process.cc:147
#4 0x00007ffff6905f84 in ARDOUR::Session::fail_roll (this=0x21e23d0,
    nframes=1024) at ../libs/ardour/session_process.cc:126
#5 0x00007ffff6909ec5 in ARDOUR::Session::process_without_events (
    this=0x21e23d0, nframes=1024) at ../libs/ardour/session_process.cc:880
#6 0x00007ffff6907491 in ARDOUR::Session::process_with_events (
    this=0x21e23d0, nframes=1024) at ../libs/ardour/session_process.cc:408
#7 0x00007ffff6905cc9 in ARDOUR::Session::process (this=0x21e23d0,
    nframes=1024) at ../libs/ardour/session_process.cc:76
#8 0x00007ffff62be3a0 in ARDOUR::AudioEngine::process_callback (
    this=0x1d71380, nframes=1024) at ../libs/ardour/audioengine.cc:376
#9 0x00007fffde50f8ea in ARDOUR::JACKAudioBackend::process_thread (
    this=0x1fa91b0) at ../libs/backends/jack/jack_audiobackend.cc:967
#10 0x00007fffde50f872 in ARDOUR::JACKAudioBackend::_process_thread (
    arg=0x1fa91b0) at ../libs/backends/jack/jack_audiobackend.cc:944
#11 0x00007fffddd8e78a in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
---Type <return> to continue, or q <return> to quit---
#12 0x00007fffdddaaa50 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#13 0x00007fffef745184 in start_thread (arg=0x7fffc41a9700)
    at pthread_create.c:312
#14 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 21 (Thread 0x7fffdcb07700 (LWP 25881)):
#0 0x00007fffef74c3ad in read () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007fffdddabe64 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffdddaf53c in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3 0x00007fffdddaaa50 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#4 0x00007fffef745184 in start_thread (arg=0x7fffdcb07700)
    at pthread_create.c:312
#5 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 20 (Thread 0x7fffdcb88700 (LWP 25880)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007fffdddab69c in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffddda2b98 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3 0x00007fffdddaaa50 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#4 0x00007fffef745184 in start_thread (arg=0x7fffdcb88700)
---Type <return> to continue, or q <return> to quit---
    at pthread_create.c:312
#5 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 13 (Thread 0x7fffc79d5700 (LWP 25873)):
#0 0x00007fffec4f6fdd in poll () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007ffff3b60ad5 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff3b60cf7 in g_main_context_iteration ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff3b60d49 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#4 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#5 0x00007fffef745184 in start_thread (arg=0x7fffc79d5700)
    at pthread_create.c:312
#6 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7fffdef49700 (LWP 25867)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007ffff3bac554 in g_cond_wait ()
---Type <return> to continue, or q <return> to quit---
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff62bec63 in ARDOUR::AudioEngine::do_devicelist_update (
    this=0x1d71380) at ../libs/ardour/audioengine.cc:561
#3 0x00007ffff62cb053 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1c324e0, p=0x1d71380)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4 0x00007ffff62cacc8 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1c324f0, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5 0x00007ffff62ca739 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1c324e0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6 0x00007ffff62ca128 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1c324e0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff62c9576 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<A---Type <return> to continue, or q <return> to quit---
RDOUR::AudioEngine*> > >, void>::call_it (rep=0x1c324b0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#9 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef745184 in start_thread (arg=0x7fffdef49700)
    at pthread_create.c:312
#11 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7fffdf74a700 (LWP 25866)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007ffff3bac554 in g_cond_wait ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff62bea1d in ARDOUR::AudioEngine::do_reset_backend (
    this=0x1d71380) at ../libs/ardour/audioengine.cc:526
#3 0x00007ffff62cb053 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1b68f10, p=0x1d71380)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
---Type <return> to continue, or q <return> to quit---
#4 0x00007ffff62cacc8 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1b68f20, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5 0x00007ffff62ca739 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1b68f10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6 0x00007ffff62ca128 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1b68f10)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff62c9576 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1b68ee0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#9 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#10 0x00007fffef745184 in start_thread (arg=0x7fffdf74a700)
    at pthread_create.c:312
#11 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7fffe615b700 (LWP 25865)):
#0 0x00007fffc53819fe in FiltFilt::process (this=0x7fffd0005fb0,
    src=0x7fffd0015280, dst=0x7fffd00152b0, length=4)
    at ../libs/qm-dsp/dsp/signalconditioning/FiltFilt.cpp:84
#1 0x00007fffc53810ed in DFProcess::process (this=0x7fffd0015210,
    src=0x7fffd0015310, dst=0x7fffd00152e0)
    at ../libs/qm-dsp/dsp/signalconditioning/DFProcess.cpp:93
#2 0x00007fffc537d30d in PeakPicking::process (this=0x7fffe615a5a0,
    src=0x7fffd0015310, len=4, onsets=std::vector of length 0, capacity 0)
    at ../libs/qm-dsp/dsp/onsets/PeakPicking.cpp:83
#3 0x00007fffc5353073 in OnsetDetector::getRemainingFeatures (
    this=0x7fffd000d460) at ../libs/vamp-plugins/OnsetDetect.cpp:453
#4 0x00007fffedca275e in _VampPlugin::Vamp::PluginAdapterBase::Impl::getRemainingFeatures(_VampPlugin::Vamp::Plugin*) ()
   from /opt/Ardour-5.8.239-dbg/lib/libvamp-sdk.so.2
#5 0x00007fffeda7f3ff in _VampHost::Vamp::PluginHostAdapter::getRemainingFeatures() () from /opt/Ardour-5.8.239-dbg/lib/libvamp-hostsdk.so.3
#6 0x00007fffeda90311 in _VampHost::Vamp::HostExt::PluginWrapper::getRemainingF---Type <return> to continue, or q <return> to quit---
eatures() () from /opt/Ardour-5.8.239-dbg/lib/libvamp-hostsdk.so.3
#7 0x00007fffeda90311 in _VampHost::Vamp::HostExt::PluginWrapper::getRemainingFeatures() () from /opt/Ardour-5.8.239-dbg/lib/libvamp-hostsdk.so.3
#8 0x00007fffeda90311 in _VampHost::Vamp::HostExt::PluginWrapper::getRemainingFeatures() () from /opt/Ardour-5.8.239-dbg/lib/libvamp-hostsdk.so.3
#9 0x00007ffff62ba055 in ARDOUR::AudioAnalyser::analyse (this=0x7fffe615abb0,
    path="/home/studio/xi-ox_gotobergog/r_Kloestrophobia/analysis/540615.qm-onset", src=0x7fff504453a0, channel=0) at ../libs/ardour/audioanalyser.cc:150
#10 0x00007ffff69d3266 in ARDOUR::TransientDetector::run (this=0x7fffe615abb0,
Python Exception <class 'IndexError'> list index out of range:
    path="/home/studio/xi-ox_gotobergog/r_Kloestrophobia/analysis/540615.qm-onset", src=0x7fff504453a0, channel=0, results=empty std::list)
    at ../libs/ardour/transient_detector.cc:55
#11 0x00007ffff6250693 in ARDOUR::Analyser::analyse_audio_file_source (src=...)
    at ../libs/ardour/analyser.cc:115
#12 0x00007ffff6250513 in ARDOUR::Analyser::work ()
    at ../libs/ardour/analyser.cc:102
#13 0x00007ffff625019d in analyser_work () at ../libs/ardour/analyser.cc:52
#14 0x0000000000ebd90f in sigc::pointer_functor0<void>::operator() (
    this=0x1ca6978)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#15 0x0000000000ebaa74 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1ca6970)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#16 0x0000000000eb6b29 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1ca6940)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#17 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#18 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#19 0x00007fffef745184 in start_thread (arg=0x7fffe615b700)
    at pthread_create.c:312
#20 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7fffe695c700 (LWP 25864)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007ffff3bac554 in g_cond_wait ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff6999c45 in peak_thread_work ()
    at ../libs/ardour/source_factory.cc:71
#3 0x0000000000ebd90f in sigc::pointer_functor0<void>::operator() (
---Type <return> to continue, or q <return> to quit---
    this=0x1ca69f8)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4 0x0000000000ebaa74 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1ca69f0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5 0x0000000000eb6b29 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1ca69c0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#7 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#8 0x00007fffef745184 in start_thread (arg=0x7fffe695c700)
    at pthread_create.c:312
#9 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7fffe715d700 (LWP 25863)):
#0 pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
---Type <return> to continue, or q <return> to quit---
#1 0x00007ffff3bac554 in g_cond_wait ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff6999c45 in peak_thread_work ()
    at ../libs/ardour/source_factory.cc:71
#3 0x0000000000ebd90f in sigc::pointer_functor0<void>::operator() (
    this=0x1ca6a78)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4 0x0000000000ebaa74 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1ca6a70)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5 0x0000000000eb6b29 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1ca6a40)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff40eab72 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglibmm-2.4.so.1
#7 0x00007ffff3b8b825 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#8 0x00007fffef745184 in start_thread (arg=0x7fffe715d700)
    at pthread_create.c:312
#9 0x00007fffec50437d in clone ()
---Type <return> to continue, or q <return> to quit---
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7fffe795e700 (LWP 25862)):
#0 0x00007fffef74cb9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1 0x00007ffff3b8d2c8 in g_usleep ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#2 0x0000000001239417 in gui_event_loop (ptr=0x0)
    at ../gtk2_ardour/linux_vst_gui_support.cc:459
#3 0x00007fffef745184 in start_thread (arg=0x7fffe795e700)
    at pthread_create.c:312
#4 0x00007fffec50437d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7ffff7f9e900 (LWP 25858)):
#0 0x00007ffff30ed344 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#1 0x00007ffff10579f2 in Gtk::TreeModel_Class::iter_n_children_vfunc_callback(_GtkTreeModel*, _GtkTreeIter*) ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtkmm-2.4.so.1
#2 0x00007ffff30ddc74 in gtk_tree_model_iter_n_children ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#3 0x00007ffff30ddd50 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#4 0x00007ffff30ddf4a in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#5 0x00007ffff3e631e2 in g_closure_invoke ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#6 0x00007ffff3e7a14d in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#7 0x00007ffff3e7b3e2 in g_signal_emit_valist ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#8 0x00007ffff3e7b7e3 in g_signal_emit ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#9 0x00007ffff30da650 in gtk_tree_model_rows_reordered ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#10 0x00007ffff30ef3c2 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#11 0x00007ffff30ef64f in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#12 0x00007ffff30f1af7 in gtk_tree_store_set_value ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#13 0x00000000006326dd in Gtk::TreeRow::set_value<bool> (this=0x7fffffffaa20,
    column=..., data=@0x7fffffffb05f: true)
    at /home/ardour/linux-x86_64/gtk/inst/include/gtkmm-2.4/gtkmm/treeiter.h:455
#14 0x000000000063135c in Gtk::TreeValueProxy<bool>::operator= (
---Type <return> to continue, or q <return> to quit---
    this=0x7fffffffb060, data=@0x7fffffffb05f: true)
    at /home/ardour/linux-x86_64/gtk/inst/include/gtkmm-2.4/gtkmm/treeiter.h:427
#15 0x000000000098d8e1 in EditorRegions::add_region (this=0x687ed90,
    region=...) at ../gtk2_ardour/editor_regions.cc:477
#16 0x00000000009a77b7 in boost::_mfi::mf1<void, EditorRegions, boost::shared_ptr<ARDOUR::Region> >::operator() (this=0x7fff500197d8, p=0x687ed90, a1=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:165
#17 0x00000000009a5645 in boost::_bi::list2<boost::_bi::value<EditorRegions*>, boost::arg<1> >::operator()<boost::_mfi::mf1<void, EditorRegions, boost::shared_ptr<ARDOUR::Region> >, boost::_bi::list1<boost::shared_ptr<ARDOUR::Region>&> > (
    this=0x7fff500197e8, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:313
#18 0x00000000009a2b14 in boost::_bi::bind_t<void, boost::_mfi::mf1<void, EditorRegions, boost::shared_ptr<ARDOUR::Region> >, boost::_bi::list2<boost::_bi::value<EditorRegions*>, boost::arg<1> > >::operator()<boost::shared_ptr<ARDOUR::Region> > (this=0x7fff500197d8, a1=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:32
#19 0x00000000009a0139 in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, boost::_mfi::mf1<void, EditorRegions, boost::shared_ptr<ARDOUR::Region> >, boost::_bi::list2<boost::_bi::value<EditorRegions*>, boost::ar---Type <return> to continue, or q <return> to quit---
g<1> > >, void, boost::shared_ptr<ARDOUR::Region> >::invoke (
    function_obj_ptr=..., a0=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#20 0x00000000009a971d in boost::function1<void, boost::shared_ptr<ARDOUR::Region> >::operator() (this=0x7fff500197d0, a0=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#21 0x00000000009a9043 in boost::_bi::list1<boost::_bi::value<boost::shared_ptr<ARDOUR::Region> > >::operator()<boost::function<void (boost::shared_ptr<ARDOUR::Region>)>, boost::_bi::list0>(boost::_bi::type<void>, boost::function<void (boost::shared_ptr<ARDOUR::Region>)>&, boost::_bi::list0&, int) (
    this=0x7fff500197f0, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#22 0x00000000009a7a41 in boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (boost::shared_ptr<ARDOUR::Region>)>, boost::_bi::list1<boost::_bi::value<boost::shared_ptr<ARDOUR::Region> > > >::operator()() (
    this=0x7fff500197d0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#23 0x00000000009a5c5f in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (boost::shared_ptr<ARDOUR::Region>)>, boost::_bi::list1<boost::_bi::value<boost::shared_ptr<ARDOU---Type <return> to continue, or q <return> to quit---
R::Region> > > >, void>::invoke(boost::detail::function::function_buffer&) (
    function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#24 0x0000000000690135 in boost::function0<void>::operator() (
    this=0x7fff50018d80)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#25 0x00007ffff7534a06 in Gtkmm2ext::UI::do_request (this=0x1dd5950,
    req=0x7fff50018d70) at ../libs/gtkmm2ext/gtk_ui.cc:473
#26 0x00007ffff753a2f3 in AbstractUI<Gtkmm2ext::UIRequest>::handle_ui_requests
    (this=0x1dd5950)
    at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/abstract_ui.cc:355
#27 0x00007ffff4d15491 in BaseUI::request_handler (this=0x1dd5950,
    ioc=Glib::IO_IN) at ../libs/pbd/base_ui.cc:141
#28 0x00007ffff4d18c14 in sigc::bound_mem_functor1<bool, BaseUI, Glib::IOCondition>::operator() (this=0x1b51eb8, _A_a1=@0x7fffffffb924: Glib::IO_IN)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
#29 0x00007ffff4d18861 in sigc::adaptor_functor<sigc::bound_mem_functor1<bool, BaseUI, Glib::IOCondition> >::operator()<Glib::IOCondition const&> (
    this=0x1b51eb0, _A_arg1=@0x7fffffffb924: Glib::IO_IN)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/ada---Type <return> to continue, or q <return> to quit---
ptor_trait.h:89
#30 0x00007ffff4d182f0 in sigc::internal::slot_call1<sigc::bound_mem_functor1<bool, BaseUI, Glib::IOCondition>, bool, Glib::IOCondition>::call_it (
    rep=0x1b51e80, a_1=@0x7fffffffb924: Glib::IO_IN)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#31 0x00007ffff4d2c331 in sigc::slot1<bool, Glib::IOCondition>::operator() (
    this=0x1dd59c8, _A_a1=@0x7fffffffb924: Glib::IO_IN)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:515
#32 0x00007ffff4d2bfdb in cross_thread_channel_call_receive_slot (
    condition=G_IO_IN, data=0x1dd59b8) at ../libs/pbd/crossthread.cc:49
#33 0x00007ffff3b5ecc5 in g_main_context_dispatch ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#34 0x00007ffff3b60b38 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#35 0x00007ffff3b60cf7 in g_main_context_iteration ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#36 0x00007ffff2fc5bc1 in gtk_main_iteration ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0

Python Exception <class 'IndexError'> list index out of range:
#37 0x0000000000a0478f in Editor::time_fx (this=0x6d790a0, regions=std::list,
    val=0,479525864, pitching=false) at ../gtk2_ardour/editor_timefx.cc:289

#38 0x0000000000a03589 in Editor::time_stretch (this=0x6d790a0, regions=...,
---Type <return> to continue, or q <return> to quit---
    fraction=0,479525864) at ../gtk2_ardour/editor_timefx.cc:78
#39 0x00000000008ef979 in TimeFXDrag::finished (this=0x3c8a540,
    event=0x7fffffffc480, movement_occurred=true)
    at ../gtk2_ardour/editor_drag.cc:5283
#40 0x00000000008cdce7 in Drag::end_grab (this=0x3c8a540, event=0x7fffffffc480)
    at ../gtk2_ardour/editor_drag.cc:321
#41 0x00000000008cd3aa in DragManager::end_grab (this=0x688c5a0,
    e=0x7fffffffc480) at ../gtk2_ardour/editor_drag.cc:159

#42 0x000000000093ac0e in Editor::button_release_handler (this=0x6d790a0, item=
    0x11e98a20, event=0x7fffffffc480, item_type=RegionItem)
    at ../gtk2_ardour/editor_mouse.cc:1353
#43 0x00000000008c6600 in Editor::canvas_region_view_event (this=0x6d790a0,
    event=0x7fffffffc480, item=0x11e98a20, rv=0x11e98700)
    at ../gtk2_ardour/editor_canvas_events.cc:259
#44 0x0000000000fa1bc5 in RegionView::canvas_group_event (this=0x11e98700,
    event=0x7fffffffc480) at ../gtk2_ardour/region_view.cc:215
#45 0x0000000001168918 in sigc::bound_mem_functor1<bool, TimeAxisViewItem, _GdkEvent*>::operator() (this=0x11e99808, _A_a1=@0x7fffffffc320: 0x7fffffffc480)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
#46 0x00000000011685e1 in sigc::adaptor_functor<sigc::bound_mem_functor1<bool, TimeAxisViewItem, _GdkEvent*> >::operator()<_GdkEvent* const&> (
    this=0x11e99800, _A_arg1=@0x7fffffffc320: 0x7fffffffc480)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#47 0x0000000001168068 in sigc::internal::slot_call1<sigc::bound_mem_functor1<bool, TimeAxisViewItem, _GdkEvent*>, bool, _GdkEvent*>::call_it (rep=0x11e997d0,
    a_1=@0x7fffffffc320: 0x7fffffffc480)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#48 0x00007ffff78d533c in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator() (this=0x7fffffffc1c0,
    _A_slot=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:830
#49 0x00007ffff78d4f63 in sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>::operator* (this=0x7fffffffc180)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:302
#50 0x00007ffff78d495d in ArdourCanvas::Item::EventAccumulator<bool>::operator()<sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool> > (this=0x7fffffffc1ef,
    first=..., last=...)
    at /home/ardour/linux-x86_64/ardour/libs/canvas/canvas/item.h:230
#51 0x00007ffff78d4037 in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourC---Type <return> to continue, or q <return> to quit---
anvas::Item::EventAccumulator<bool> >::emit (impl=0x11e99780,
    _A_a1=@0x7fffffffc320: 0x7fffffffc480)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:850
#52 0x00007ffff78d2b77 in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit (this=0x11e98a90,
    _A_a1=@0x7fffffffc320: 0x7fffffffc480)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2797
#53 0x00007ffff78d101d in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator() (this=0x11e98a90,
    _A_a1=@0x7fffffffc320: 0x7fffffffc480)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2805
#54 0x00007ffff78cbac0 in ArdourCanvas::GtkCanvas::deliver_event (
    this=0x6ce5ca8, event=0x7fffffffc480) at ../libs/canvas/canvas.cc:710
#55 0x00007ffff78cd48d in ArdourCanvas::GtkCanvas::on_button_release_event (
    this=0x6ce5ca8, ev=0x13989030) at ../libs/canvas/canvas.cc:1026
#56 0x00007ffff106ff03 in Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*) () from /opt/Ardour-5.8.239-dbg/lib/libgtkmm-2.4.so.1
#57 0x00007ffff2fccf28 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#58 0x00007ffff3e631e2 in g_closure_invoke ()
---Type <return> to continue, or q <return> to quit---
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#59 0x00007ffff3e7a272 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#60 0x00007ffff3e7af98 in g_signal_emit_valist ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#61 0x00007ffff3e7b7e3 in g_signal_emit ()
   from /opt/Ardour-5.8.239-dbg/lib/libgobject-2.0.so.0
#62 0x00007ffff3123d8f in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#63 0x00007ffff2fc50c3 in gtk_propagate_event ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#64 0x00007ffff2fc6c3b in gtk_main_do_event ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
#65 0x00007ffff2c01f8c in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libgdk-x11-2.0.so.0
#66 0x00007ffff3b5edde in g_main_context_dispatch ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#67 0x00007ffff3b60b38 in ?? ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#68 0x00007ffff3b60be5 in g_main_loop_run ()
   from /opt/Ardour-5.8.239-dbg/lib/libglib-2.0.so.0
#69 0x00007ffff2fc6647 in gtk_main ()
   from /opt/Ardour-5.8.239-dbg/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#70 0x00007ffff7533ef5 in Gtkmm2ext::UI::run (this=0x1dd5950, old_receiver=...)
    at ../libs/gtkmm2ext/gtk_ui.cc:286
#71 0x0000000000c0332f in main (argc=1, argv=0x7fffffffd028)
    at ../gtk2_ardour/main.cc:447
(0019577)
x42 (administrator)
2017-04-01 10:16

Should be fixed in Ardour 5.8-250-gc0c24aff7
(0019578)
x42 (administrator)
2017-04-01 10:16

Please test
(0019580)
vzzz (reporter)
2017-04-02 01:19

Check, test and it works!

Great.

Case can be close.

- Issue History
Date Modified Username Field Change
2017-04-01 09:22 vzzz New Issue
2017-04-01 09:36 vzzz Note Added: 0019576
2017-04-01 10:16 x42 Note Added: 0019577
2017-04-01 10:16 x42 Note Added: 0019578
2017-04-01 10:16 x42 Assigned To => x42
2017-04-01 10:16 x42 Status new => feedback
2017-04-02 01:19 vzzz Note Added: 0019580
2017-04-02 01:19 vzzz Status feedback => assigned
2017-04-03 12:08 x42 Status assigned => resolved
2017-04-03 12:08 x42 Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker